<?php

namespace App\Entities\Medico;

use App\Utils\Entity;

class Medico extends Entity {
	protected $id;
	protected $id_profissional;
	protected $assinatura;
	protected $documento;

	public static function builder(): MedicoBuilder {

		$assistente_builder = new MedicoBuilder();
		return $assistente_builder;

	}

	public function getId(): int {

		return $this->id;

	}

	public function getIdProfissional(): int {

		return $this->id_profissional;

	}

	public function setId(int $id): void {

		$this->id = $id;

	}

	public function setIdProfissional(int $id_profissional): void {

		$this->id_profissional = $id_profissional;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getAssinatura() {

		return $this->assinatura;

	}

	/**
	 *
	 * @param mixed $assinatura
	 */
	public function setAssinatura($assinatura): void {

		$this->assinatura = $assinatura;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getDocumento() {

		return $this->documento;

	}

	/**
	 *
	 * @param mixed $assinatura
	 */
	public function setDocumento($documento): void {

		$this->documento = $documento;

	}

}